StarObjectSmallGraphicInternal::OutlinerParaObject::Zone Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::OutlinerParaObject::Zone Struct Reference

small struct use to define a Zone: v<=3 More...

## Public Member Functions
| Zone ()
| constructor More...

## Public Attributes
std::shared_ptr< StarObjectSmallText > | m_text
| the text More...
int | m_depth
| the depth More...
STOFFColor | m_backgroundColor
| the background color More...
STOFFEmbeddedObject | m_background
| the background bitmap More...
librevenge::RVNGString | m_colorName
| the color name More...

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &zone)
| operator<< More...

## Detailed Description

small struct use to define a Zone: v<=3

## Constructor & Destructor Documentation

## ◆ Zone()

StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::Zone | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | zone
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_background

STOFFEmbeddedObject StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::m_background

the background bitmap

Referenced by StarObjectSmallGraphic::readSDROutlinerParaObject().

## ◆ m_backgroundColor

STOFFColor StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::m_backgroundColor

the background color

Referenced by StarObjectSmallGraphic::readSDROutlinerParaObject().

## ◆ m_colorName

librevenge::RVNGString StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::m_colorName

the color name

Referenced by StarObjectSmallGraphic::readSDROutlinerParaObject().

## ◆ m_depth

int StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::m_depth

the depth

Referenced by StarObjectSmallGraphic::readSDROutlinerParaObject().

## ◆ m_text

std::shared_ptr<StarObjectSmallText> StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::m_text

the text

Referenced by StarObjectSmallGraphic::readSDROutlinerParaObject().

The documentation for this struct was generated from the following file:

- StarObjectSmallGraphic.cxx